Agents API

Agents API

1.0.3OAS 3.1

Manage PolyAI agents, telephony, deployments, and real-time configs.

API Base URL
  • Server 1:https://api.{region}.poly.ai
    Variables
    region:
Security
polyApiKey (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-API-KEY.

Example: X-API-KEY: 123

List agents

get
https://api.dev.poly.ai/v1/agents

Response

200 application/json

List of agents for the current account

GetAgentsResponse

* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
get/v1/agents
 
200 application/json

Create agent

post
https://api.dev.poly.ai/v1/agents

Body

application/json

CreateAgentBody

* Additional properties are NOT allowed.
namestringrequired

>= 1 characters<= 100 characters

agentIdstring

Match pattern:^[a-zA-Z0-9-]+$

responseSettingsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
voiceSettingsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
llmSettingsobject
* Additional properties are NOT allowed.
Show Child Parameters
experimentalConfigobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

200 application/json

Created agent

CreateAgentResponse

* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
post/v1/agents

Body

{ "name": "name", "responseSettings": { "greeting": "greeting" }, "voiceSettings": { "voiceId": "voiceId" } }
 
200 application/json